package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum  SettlementGoodsTypeEnum implements BaseEnum {
    MCC("MCC","辅材"),
    ACC("ACC","配件");


    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}